Page MenuHomePhabricator

Enabling citoid on Japanese Wikipedia
Closed, ResolvedPublic

Description

I am an Administrator on Japanese Wikipedia, and have initiated a discussion at Wikipedia:井戸端/subj/ビジュアルエディターに参照ツールとcitoidサービスを導入する提案 to enable Citoid on Japanese Wikipedia. The community is, in general, positive to enabling citoid, but there are a few concerns to be addressed.

  1. When one inputs an ISBN or ISSN, citoid goes to WorldCat, an English site, to fetch the data. This does not give appropriate results for Japanese books. Taking ISBN 978-4-88367-243-1 as an example, the title of the book is 図書館の法令と政策, but WorldCat gives "Toshokan no horei to seisaku", an undesirable output. The suggestion is to use the NDL API, and if it is a non-Japanese book (dcterms:language field is not "jpn"), then fetch the data from WorldCat.
  2. In Japanese Wikipedia, we use {{Cite book}} for books in general, but {{Cite book ja-jp}} (or {{Cite book|1=和書}}) if the book is in Japanese. Using {{Cite book}} for Japanese books will result in weird citations. Again, the suggestion is to use NDL API and check the dcterms:language field.
  3. There was a request to enhance the Zotero translator for CiNii so it returns ncid and naid as separate fields, as these IDs are frequently used when referring to Japanese researches. The method is to call CiNii API which returns these fields. Would anyone be able to assist on raising this request?

Some useful links as follows.
Specifications of NDL API: http://iss.ndl.go.jp/information/wp-content/uploads/2017/11/ndlsearch_api_all_20170329_en.pdf
Specifications of CiNii API: https://support.nii.ac.jp/en/cia/api/a_json
Zotero translator for CiNii: https://github.com/zotero/translators/blob/master/CiNii.js

Event Timeline

patilise created this task.Mar 12 2018, 1:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2018, 1:44 PM

@patilise: As Community-Relations-Support was added to this task, what is wanted from them? Thanks for elaborating!

@Aklapper: Please find the following.

Problem: We encountered a few requests during discussion of enabling citoid on Japanese Wikipedia. As listed in the description, in the order of priority, the requests are (1) To change citoid such that it is possible to output Japanese author names and titles; (2) Allow mapping to different templates according to language of the source; (3) Return NAID and NCID for Cinii sources.

Measure of success: Obviously, enabling citoid on Japanese Wikipedia is the end goal. But we want the quality of citations from citoid to be as high as possible. With the end goal in mind, my opinion is that (1) and (2) might be a blocker for enabling citoid in Japanese Wikipedia while (3) will not be. From CL perspective, the help needed is more on how we could get the development work on these items prioritized.

Timeline: We kickstarted the discussion on 4 March. There is no hard deadline but we do not want this to be dangling forever. I believe we at least want a timeline of when these will be implemented.

Mvolz added a subscriber: Mvolz.Mar 12 2018, 4:05 PM

@patilise

Thank you for opening the ticket! Unfortunately all of them likely require some extra development.

The issues that can most easily be addressed on our end are 1 and 3. These can both be done with some extra development to citoid. (likely not Zotero for 3, because they are slow to change their data model) but we can add those fields in citoid instead. If citoid were enabled in jp we could add these features. However, it would probably take some time.

Issue 2 is not as easily addressed on our end. The configuration message is in JSON and it is not equipped to do complicated logic. So the community would have to choose either {{Cite book}} or {{Cite book ja-jp}}. However, {{Cite book|1=和書}}) is promising because it means the behaviour of cite book can be corrected to work for Japanese books. We do return the language code for books (i.e. ja or ja-jp depending on the source). If {{Cite book}} does (or can be fixed) to correctly render book citations with {{Cite book|lang=ja-JP}} and {{Cite book|lang=ja}} this would correct the problem. Does {{Cite book|lang=ja}} work?

@Mvolz: Thanks! I will bring the suggestion regarding Issue 2 back to the discussion and seek for opinion. We will also confirm whether we could enable citoid first, while waiting for Issues 1 and 3 to be implemented.

Elitre moved this task from Backlog to Team radar on the Community-Relations-Support board.EditedMar 14 2018, 10:13 AM
Elitre added a subscriber: Elitre.

The only support that the CLs team can provide with Citoid is through documentation, available at https://www.mediawiki.org/wiki/Citoid/Enabling_Citoid_on_your_wiki , and in making devs, in this case Mvolz, aware that help is needed. Thanks.

@Mvolz: We have not received any objections so far regarding the change in Issue 2, as well as enabling citoid before Issues 1 and 3 are implemented. Nevertheless, we still need to know when we can expect the implementation - is there any timeline currently?

@Elitre and @Aklapper, thank you very much for your help.

@Mvolz: Citoid is now enabled in Japanese Wikipedia. Do we know what is the plan for resolving issues 1 and 3?

Bencemac updated the task description. (Show Details)Apr 17 2018, 5:29 PM
Mvolz added a comment.Apr 19 2018, 9:01 AM

@Mvolz: Citoid is now enabled in Japanese Wikipedia. Do we know what is the plan for resolving issues 1 and 3?

I've created two separate tasks for them:

T192527
T192528

They can be tracked there.

Mvolz closed this task as Resolved.Apr 19 2018, 9:01 AM
Mvolz triaged this task as Normal priority.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 19 2018, 9:01 AM